interactions:
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.28.2
    method: GET
    uri: https://en.wikipedia.org/w/api.php?action=query&list=recentchanges&format=json&formatversion=2&prop=info&rcnamespace=0&rclimit=10&rcshow=%21bot&rctype=edit&rctoponly=true&rcprop=comment%7Cuser%7Ctimestamp%7Cids%7Ctitle
  response:
    body:
      string: "{\"batchcomplete\":true,\"continue\":{\"rccontinue\":\"20230131122253|1596891866\",\"continue\":\"-||info\"},\"query\":{\"recentchanges\":[{\"type\":\"edit\",\"ns\":0,\"title\":\"Rasambek
        Akhmatov\",\"pageid\":58200241,\"revid\":1136650202,\"old_revid\":1136649609,\"rcid\":1596891881,\"user\":\"The
        joy of all things\",\"timestamp\":\"2023-01-31T12:23:02Z\",\"comment\":\"/*
        References */ added reflist\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"Netflix
        Animation\",\"pageid\":65073808,\"revid\":1136650198,\"old_revid\":1136620464,\"rcid\":1596891879,\"user\":\"Prince
        Silversaddle\",\"timestamp\":\"2023-01-31T12:23:00Z\",\"comment\":\"\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"WXW
        Heavyweight Championship\",\"pageid\":10719903,\"revid\":1136650199,\"old_revid\":1130892584,\"rcid\":1596891880,\"user\":\"X-KET\",\"timestamp\":\"2023-01-31T12:22:59Z\",\"comment\":\"formwrly\u2192formerly
        - [[:en:Wikipedia:Correct typos in one click|Correct typos in one click]]\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"Dragoslav
        Stepanovi\u0107\",\"pageid\":4432526,\"revid\":1136650197,\"old_revid\":1123705300,\"rcid\":1596891878,\"user\":\"Crowsus\",\"timestamp\":\"2023-01-31T12:22:58Z\",\"comment\":\"added
        [[Category:Expatriate football managers in West Germany]] using [[WP:HC|HotCat]]\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"Sh\u014Dfu
        Muramatsu\",\"pageid\":9090280,\"revid\":1136650191,\"old_revid\":1111811023,\"rcid\":1596891870,\"user\":\"2601:586:4103:BCB0:B9D7:6DE9:1BA6:E52A\",\"anon\":true,\"timestamp\":\"2023-01-31T12:22:56Z\",\"comment\":\"\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"Kinoko
        Nasu\",\"pageid\":5150416,\"revid\":1136650190,\"old_revid\":1136650126,\"rcid\":1596891868,\"user\":\"50.168.134.34\",\"anon\":true,\"timestamp\":\"2023-01-31T12:22:55Z\",\"comment\":\"\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"Maran
        (federal constituency)\",\"pageid\":50560537,\"revid\":1136650189,\"old_revid\":1134129748,\"rcid\":1596891865,\"user\":\"Rdeva05\",\"timestamp\":\"2023-01-31T12:22:55Z\",\"comment\":\"/*
        Demographics */\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"2023 Peshawar mosque
        bombing\",\"pageid\":72890152,\"revid\":1136650188,\"old_revid\":1136647805,\"rcid\":1596891869,\"user\":\"Matibajwachakwala\",\"timestamp\":\"2023-01-31T12:22:54Z\",\"comment\":\"\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"Matty
        Blythe\",\"pageid\":16494005,\"revid\":1136650187,\"old_revid\":1094953425,\"rcid\":1596891864,\"user\":\"X-KET\",\"timestamp\":\"2023-01-31T12:22:54Z\",\"comment\":\"formwr\u2192former
        - [[:en:Wikipedia:Correct typos in one click|Correct typos in one click]]\"},{\"type\":\"edit\",\"ns\":0,\"title\":\"EViews\",\"pageid\":3933682,\"revid\":1136650185,\"old_revid\":1077684128,\"rcid\":1596891863,\"user\":\"Shinohara
        Chihiro\",\"timestamp\":\"2023-01-31T12:22:54Z\",\"comment\":\"\"}]}}"
    headers:
      accept-ch:
      - Sec-CH-UA-Arch,Sec-CH-UA-Bitness,Sec-CH-UA-Full-Version-List,Sec-CH-UA-Model,Sec-CH-UA-Platform-Version
      accept-ranges:
      - bytes
      age:
      - '2'
      cache-control:
      - private, must-revalidate, max-age=0
      content-disposition:
      - inline; filename=api-result.json
      content-length:
      - '2494'
      content-type:
      - application/json; charset=utf-8
      date:
      - Tue, 31 Jan 2023 12:23:02 GMT
      nel:
      - '{ "report_to": "wm_nel", "max_age": 86400, "failure_fraction": 0.05, "success_fraction":
        0.0}'
      permissions-policy:
      - interest-cohort=(),ch-ua-arch=(self "intake-analytics.wikimedia.org"),ch-ua-bitness=(self
        "intake-analytics.wikimedia.org"),ch-ua-full-version-list=(self "intake-analytics.wikimedia.org"),ch-ua-model=(self
        "intake-analytics.wikimedia.org"),ch-ua-platform-version=(self "intake-analytics.wikimedia.org")
      report-to:
      - '{ "group": "wm_nel", "max_age": 86400, "endpoints": [{ "url": "https://intake-logging.wikimedia.org/v1/events?stream=w3c.reportingapi.network_error&schema_uri=/w3c/reportingapi/network_error/1.0.0"
        }] }'
      server:
      - mw1363.eqiad.wmnet
      server-timing:
      - cache;desc="pass", host;desc="cp1075"
      set-cookie:
      - WMF-Last-Access=31-Jan-2023;Path=/;HttpOnly;secure;Expires=Sat, 04 Mar 2023
        12:00:00 GMT
      - WMF-Last-Access-Global=31-Jan-2023;Path=/;Domain=.wikipedia.org;HttpOnly;secure;Expires=Sat,
        04 Mar 2023 12:00:00 GMT
      - GeoIP=US:::37.75:-97.82:v4; Path=/; secure; Domain=.wikipedia.org
      strict-transport-security:
      - max-age=106384710; includeSubDomains; preload
      transfer-encoding:
      - chunked
      vary:
      - Accept-Encoding,Treat-as-Untrusted,X-Forwarded-Proto,Cookie,Authorization
      x-cache:
      - cp1089 miss, cp1075 pass
      x-cache-status:
      - pass
      x-client-ip:
      - 2620:0:861:108:10:64:53:30
      x-content-type-options:
      - nosniff
      x-frame-options:
      - SAMEORIGIN
    status:
      code: 200
      message: OK
- request:
    body: null
    headers:
      Accept:
      - '*/*'
      Accept-Encoding:
      - gzip, deflate
      Connection:
      - keep-alive
      User-Agent:
      - python-requests/2.28.2
    method: GET
    uri: https://ores.wikimedia.org/v3/scores/enwiki?models=damaging&revids=1136650202%7C1136650198%7C1136650199%7C1136650197%7C1136650191%7C1136650190%7C1136650189%7C1136650188%7C1136650187%7C1136650185
  response:
    body:
      string: "{\n  \"enwiki\": {\n    \"models\": {\n      \"damaging\": {\n        \"version\":
        \"0.5.1\"\n      }\n    },\n    \"scores\": {\n      \"1136650185\": {\n        \"damaging\":
        {\n          \"score\": {\n            \"prediction\": false,\n            \"probability\":
        {\n              \"false\": 0.912561262628151,\n              \"true\": 0.08743873737184905\n
        \           }\n          }\n        }\n      },\n      \"1136650187\": {\n
        \       \"damaging\": {\n          \"score\": {\n            \"prediction\":
        false,\n            \"probability\": {\n              \"false\": 0.9761771595417905,\n
        \             \"true\": 0.02382284045820951\n            }\n          }\n
        \       }\n      },\n      \"1136650188\": {\n        \"damaging\": {\n          \"score\":
        {\n            \"prediction\": true,\n            \"probability\": {\n              \"false\":
        0.3468175700691416,\n              \"true\": 0.6531824299308584\n            }\n
        \         }\n        }\n      },\n      \"1136650189\": {\n        \"damaging\":
        {\n          \"score\": {\n            \"prediction\": false,\n            \"probability\":
        {\n              \"false\": 0.9735698615962639,\n              \"true\": 0.026430138403736043\n
        \           }\n          }\n        }\n      },\n      \"1136650190\": {\n
        \       \"damaging\": {\n          \"score\": {\n            \"prediction\":
        false,\n            \"probability\": {\n              \"false\": 0.8403085913272219,\n
        \             \"true\": 0.15969140867277806\n            }\n          }\n
        \       }\n      },\n      \"1136650191\": {\n        \"damaging\": {\n          \"score\":
        {\n            \"prediction\": true,\n            \"probability\": {\n              \"false\":
        0.36516429346921053,\n              \"true\": 0.6348357065307895\n            }\n
        \         }\n        }\n      },\n      \"1136650197\": {\n        \"damaging\":
        {\n          \"score\": {\n            \"prediction\": false,\n            \"probability\":
        {\n              \"false\": 0.9833773878017631,\n              \"true\": 0.016622612198236894\n
        \           }\n          }\n        }\n      },\n      \"1136650198\": {\n
        \       \"damaging\": {\n          \"score\": {\n            \"prediction\":
        false,\n            \"probability\": {\n              \"false\": 0.9557830908281996,\n
        \             \"true\": 0.04421690917180039\n            }\n          }\n
        \       }\n      },\n      \"1136650199\": {\n        \"damaging\": {\n          \"score\":
        {\n            \"prediction\": false,\n            \"probability\": {\n              \"false\":
        0.968251014387445,\n              \"true\": 0.031748985612555035\n            }\n
        \         }\n        }\n      },\n      \"1136650202\": {\n        \"damaging\":
        {\n          \"score\": {\n            \"prediction\": false,\n            \"probability\":
        {\n              \"false\": 0.9923309356806136,\n              \"true\": 0.007669064319386407\n
        \           }\n          }\n        }\n      }\n    }\n  }\n}"
    headers:
      accept-ch:
      - Sec-CH-UA-Arch,Sec-CH-UA-Bitness,Sec-CH-UA-Full-Version-List,Sec-CH-UA-Model,Sec-CH-UA-Platform-Version
      accept-ranges:
      - bytes
      access-control-allow-headers:
      - X-Wikimedia-Debug
      access-control-allow-origin:
      - '*'
      age:
      - '1'
      cache-control:
      - no-store, no-cache, max-age=0
      content-length:
      - '2689'
      content-type:
      - application/json
      date:
      - Tue, 31 Jan 2023 12:23:02 GMT
      expires:
      - Thu, 01 Jan 1970 00:00:00 GMT
      nel:
      - '{ "report_to": "wm_nel", "max_age": 86400, "failure_fraction": 0.05, "success_fraction":
        0.0}'
      permissions-policy:
      - interest-cohort=(),ch-ua-arch=(self "intake-analytics.wikimedia.org"),ch-ua-bitness=(self
        "intake-analytics.wikimedia.org"),ch-ua-full-version-list=(self "intake-analytics.wikimedia.org"),ch-ua-model=(self
        "intake-analytics.wikimedia.org"),ch-ua-platform-version=(self "intake-analytics.wikimedia.org")
      pragma:
      - no-cache
      report-to:
      - '{ "group": "wm_nel", "max_age": 86400, "endpoints": [{ "url": "https://intake-logging.wikimedia.org/v1/events?stream=w3c.reportingapi.network_error&schema_uri=/w3c/reportingapi/network_error/1.0.0"
        }] }'
      server:
      - ores1001.eqiad.wmnet
      server-timing:
      - cache;desc="pass", host;desc="cp1075"
      strict-transport-security:
      - max-age=106384710; includeSubDomains; preload
      transfer-encoding:
      - chunked
      vary:
      - Accept-Encoding
      x-cache:
      - cp1085 miss, cp1075 pass
      x-cache-status:
      - pass
      x-client-ip:
      - 2620:0:861:108:10:64:53:30
    status:
      code: 200
      message: OK
version: 1
